% Training Set: trainingset, c_trainingset (e.g. trainingset = [1 2;0 0;-1 1] --> 2 dims, 3 elements)
% Test Set    : testset,     c_testset

%clear;
%loadData;


%% initialize parameters %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%

% number of classes
%n_classes = 2;
n_classes = length(unique(c_trainingset));

% starting number of prototypes per class
%should be one if all instances are used for prototype initialization
n_proto = 1;

% number of samples to choose for initialization of prototypes
% n_mean_components = 50;
% use -1 to use all training instances (n_proto should optimally be 1)
n_mean_components = -1;

% total number of prototypes (changed during code as well)
n_vectors = n_classes * n_proto;

% number of times the trainingset will be presented to the system
n_epoch = 200;
%300

% epoch to start with relevance learning
relevance_start = 30;
%150

% epoch to start with pruning (-1 for no pruning)
pruning_start = 60;

%how often should be pruned
pruning_freq = 20;

% pruning stepwidth
pruning_step = 1;

% pruning target dimension
pruning_target = 4;

% epoch to start with prototype additions
increment_start = 42;
%250

% increment freq
increment_freq = 40;

% initial learning rate for prototypes
alpha = 0.01;
%0.000005;file://localhost/home/student/t/tkietzma/PhD/webpage/code/iGRLVQ/run.m

% initial learning rate for relevances
epsilon = 0.005;
%0.00001;

% speed to reduce learning rates
alpha_decay = 0.7;
epsilon_decay = 0.88;
%0.8
%0.8

% threshold for prototype additions
gmax = 30;

n_samples = size (trainingset, 1);
dim = size (trainingset, 2);
n_testsamples = size (testset, 1);

%Verbosity (zero:no output, one=full output)
verbosity = 1;

igrlvq;
